/*
 * Class TABLE [NATURAL_32, INTEGER_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1918 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1918 [] = {0xFF01,1551,1917,851,869,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1918 [] = {0xFF01,1917,851,869,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1918 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1918 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1918 [] = {0xFF01,1917,851,869,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1918 [] = {0xFF01,1917,851,869,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1918 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1918 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1918 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1918 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1918 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1918 [] = {1917,851,869,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1918 [] = {0xFF01,1917,851,869,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1918 [] = {0xFF01,1902,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1918 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1918 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1918 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1918 [] = {0xFFF8,2,0xFFFF};


static const struct desc_info desc_1918[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1918), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1918), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1918), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1918), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1918), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1918), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1918), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1918), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1918), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1918), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1918), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1918), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1918), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1918), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8643, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8644, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8645, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8646, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8647, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1918), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1918), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9036, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9067, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9037, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9038, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1918), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1918), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1918), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init1918(void)
{
	IDSC(desc_1918, 0, 1917);
	IDSC(desc_1918 + 1, 1, 1917);
	IDSC(desc_1918 + 32, 1134, 1917);
	IDSC(desc_1918 + 41, 1135, 1917);
	IDSC(desc_1918 + 50, 916, 1917);
	IDSC(desc_1918 + 56, 778, 1917);
}


#ifdef __cplusplus
}
#endif
